Bug 67830 - FILEOPEN DOCX Theme colors are not supported
Summary: FILEOPEN DOCX Theme colors are not supported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX OOXML-Doc-Themes
  Show dependency treegraph
 
Reported: 2013-08-06 14:41 UTC by Sven-Jacobi
Modified: 2019-03-25 00:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
demo document showing some theme colors (6.50 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-08-06 14:43 UTC, Sven-Jacobi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven-Jacobi 2013-08-06 14:41:41 UTC
The docx import filter does not support theme colors. If the attached bugdoc is loaded within LibreOffice then everything is displayed with black color, correct would be to use theme colores as it is done by MS Word.
Comment 1 Sven-Jacobi 2013-08-06 14:43:02 UTC
Created attachment 83725 [details]
demo document showing some theme colors
Comment 2 Maxim Monastirsky 2013-08-07 05:00:17 UTC
Confirmed with LO 4.1.0.4 on Ubuntu 13.04 (64-bit). Text is black in LO, while in Word 2010 it's colorful. It's known that LO currently doesn't support MS Office themes, see also bug 64232 that demonstrates the same issue from the font perspective.
Comment 3 Kevin Suo 2013-10-17 07:54:53 UTC
Reproducible in 4.1.2.3.

May be related to Bug 64232, see my comment 16 there.
Comment 4 Teo91 2014-09-08 16:14:57 UTC
I opened the attached docx with MS Office 2010, saved as new file and then opened in LO 4.2.6: colours are correctly preserved.

Maybe the docx is created with Office 2007?
That MSO version leads lots of trouble with format compatibility.
Comment 5 QA Administrators 2015-10-14 19:58:22 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2016-01-30 15:16:27 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2017-12-11 08:54:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug